<?php declare(strict_types=1);

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Camera.lenses
 */
#[ORM\Table(name: 'lenses', schema: 'camera')]
#[ORM\Entity(repositoryClass: 'App\Repository\LensesRepository')]
class Lenses
{
	use LensTrait;
	/**
	 * @var integer
	 */
	#[ORM\Column(name: 'id', type: 'integer', nullable: false)]
	#[ORM\Id]
	#[ORM\GeneratedValue(strategy: 'IDENTITY')]
	#[ORM\SequenceGenerator(sequenceName: 'camera.lenses_id_seq', allocationSize: 1, initialValue: 1)]
	private $id;
	/**
	 * @var boolean
	 */
	#[ORM\Column(name: 'received', type: 'boolean', nullable: false)]
	private $received = false;
	/**
	 * @var boolean
	 */
	#[ORM\Column(name: 'formerly_owned', type: 'boolean', nullable: false)]
	private $formerlyOwned = false;
}
